Data Structures | Public Member Functions

# Blitter_32bppOptimized Class Reference

The optimised 32 bpp blitter (without palette animation). More...

`#include <32bpp_optimized.hpp>`

Inheritance diagram for Blitter_32bppOptimized:

## Data Structures
struct | SpriteData
| Data stored about a (single) sprite. More...
## Public Member Functions
void | Draw (Blitter::BlitterParams *bp, BlitterMode mode, ZoomLevel zoom)
| Draws a sprite to a (screen) buffer.
Sprite * | Encode (const SpriteLoader::Sprite *sprite, AllocatorProc *allocator)
| Convert a sprite from the loader to our own format.
const char * | GetName ()
| Get the name of the blitter, the same as the Factory-instance returns.
template<BlitterMode mode>
void | Draw (const Blitter::BlitterParams *bp, ZoomLevel zoom)
| Draws a sprite to a (screen) buffer.

## Detailed Description

The optimised 32 bpp blitter (without palette animation).

Definition at line 18 of file 32bpp_optimized.hpp.

## Member Function Documentation

void Blitter_32bppOptimized::Draw | ( | Blitter::BlitterParams * | bp,
|  | BlitterMode | mode,
|  | ZoomLevel | zoom |
| ) |  |  | `[virtual]`

Draws a sprite to a (screen) buffer.

Calls adequate templated function.

Parameters:

  | bp | further blitting parameters
  | mode | blitter mode
  | zoom | zoom level at which we are drawing

Reimplemented from Blitter_32bppSimple.

Reimplemented in Blitter_32bppAnim.

Definition at line 200 of file 32bpp_optimized.cpp.

References BM_COLOUR_REMAP, BM_NORMAL, and BM_TRANSPARENT.

template<BlitterMode mode>

void Blitter_32bppOptimized::Draw | ( | const Blitter::BlitterParams * | bp,
|  | ZoomLevel | zoom |
| ) |  |  | `[inline]`

Draws a sprite to a (screen) buffer.

It is templated to allow faster operation.

Template Parameters:

  | mode | blitter mode

Parameters:

  | bp | further blitting parameters
  | zoom | zoom level at which we are drawing

Reimplemented in Blitter_32bppAnim.

Definition at line 28 of file 32bpp_optimized.cpp.

References Colour::a, BM_COLOUR_REMAP, BM_TRANSPARENT, Blitter_32bppBase::ComposeColourPANoCheck(), Blitter_32bppBase::ComposeColourRGBANoCheck(), Colour::data, Blitter_32bppOptimized::SpriteData::data, Blitter::BlitterParams::dst, GB(), Blitter::BlitterParams::height, Blitter::BlitterParams::left, Blitter_32bppBase::LookupColourInPalette(), Blitter_32bppBase::MakeTransparent(), Blitter_32bppOptimized::SpriteData::offset, Blitter::BlitterParams::pitch, Blitter::BlitterParams::remap, Blitter::BlitterParams::skip_left, Blitter::BlitterParams::skip_top, Blitter::BlitterParams::sprite, Blitter::BlitterParams::top, and Blitter::BlitterParams::width.

The documentation for this class was generated from the following files:

- src/blitter/32bpp_optimized.hpp
- src/blitter/32bpp_optimized.cpp